package helper

import (
	"fmt"
	"testing"
)

func Test_ToInt64(t *testing.T) {
	var str interface{} = 45.00
	ret := ToInt64(str)
	t.Log(ret)
}

func Test_GetRandomNumber(t *testing.T) {
	rand := GetRandomNumber(8)
	fmt.Println(rand)
}
func Test_GetRandomString(t *testing.T) {
	rand := GetRandomString(25)
	fmt.Println(rand)
}

func Test_DeleteExtraSpace(t *testing.T) {
	s := "c s   dfdf  dff  df	x"
	s2 := DeleteExtraSpace(s)
	t.Log(s2)
}

func Test_StringJoin(t *testing.T) {
	s1 := "testing"
	s2 := "测试一"
	s3 := "二"
	s4 := " ,s e"
	fmt.Println(StringJoin(s1, s2, s3, s4))
}

func Test_ToString(t *testing.T) {

	var str float64 = 0.15
	t.Log(str)
	ret := ToString(str)
	t.Log(ret)
}

func Test_StrFirstToUpper(t *testing.T) {
	var str string = "departmentID"
	ret := StrFirstToUpper(str)
	t.Log(ret)
}
